<template>
  <div class="tile is-ancestor">
    <div class="tile is-vertical">
      <div data-aos="fade-down" class="tile box button-pompier" v-for="capteur in capteurs" :key="capteur.id" style="padding: 0;">
        <nuxt-link :to="`/pompier/${capteur.devaddr}`" style="text-decoration:none; cursor: pointer; width:100%;">
          <article class="media interaction">
            <div class="media-content">
              <div class="content" style="padding: 25px; width: 100%;">
                <div align="center">
                  <strong>Capteur </strong>
                  <strong>{{ capteur.devaddr }}</strong>
                </div>
                <br>
                Application :
                <small>{{ capteur.app }}</small>
                <br>
                Batterie du capteur :
                <small>{{ capteur.battery }}</small>
                <br>
                Fréquence du capteur :
                <small>{{ capteur.freq }}</small>
              </div>
            </div>
          </article>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>

<script>

  import axios from "axios";

  export default {
    name: 'RegularButtons',

    // Valeur du $store
    computed: {
      capteurs () {
        return this.$store.state.donnee.telemetrie
      }
    },

    // Méthode de mise à jour.
    methods: {
      update() {
        this.$store.dispatch('donnee/updateDonnee')
      }
    }
  }

</script>


<style lang="css" scoped>

  .box:hover {
    background-color: #D8DDDE;
  }

</style>
